<div class="row mb-3">
    <div class="col-4">
        <div class="text-l-semi-bold">{{ 'WIDGET.DOMAINS_LIST.TITLE' | translate }}</div>
        <div class="text-m">{{ 'WIDGET.DOMAINS_LIST.DESCRIPTION' | translate }}</div>
    </div>
</div>
<div [formGroup]="widgetForm">
    <div class="mb-5 table-wrapper" formArrayName="selectedTrgsWithDomains">
        <table id="suggestionTable" mat-table multiTemplateDataRows [dataSource]="selectedTargetLanguages">
            <ng-container matColumnDef="language">
                <th mat-header-cell *matHeaderCellDef> {{'WIDGET.DOMAINS_LIST.LANGUAGE' | translate }} </th>
                <td mat-cell *matCellDef="let element;" class="col-5" [ngClass]="{'warning': isMissing(element)}">
                    {{'LANGUAGES.'+ element | uppercase | translate:{default: element} }}
                </td>
            </ng-container>

            <ng-container matColumnDef="engine">
                <th mat-header-cell *matHeaderCellDef> {{'WIDGET.DOMAINS_LIST.ENGINE' | translate }} </th>
                <div *ngFor="let control of selectedTrgsWithDomains.controls; let i = index">
                    <td mat-cell *matCellDef="let element; let index = dataIndex">
                        <div class="d-flex align-items-center justify-content-between" [formGroupName]="index">
                            <div class="engine-dropdown">
                                <mat-select formControlName="domain"
                                    [placeholder]="'WIDGET.DOMAINS_LIST.SELECT' | translate">
                                    <mat-option *ngFor="let domain of domainsList[index].domains" [value]="domain" class="text-m">
                                        {{ 'WIDGET.DOMAINS.' + domain | uppercase | translate: {default: domain} }}
                                    </mat-option>
                                </mat-select>
                            </div>
                            <button mat-icon-button (click)="deleteLang(element)"
                                [matTooltip]="'WIDGET.DOMAINS_LIST.DELETE' | translate"
                                [attr.aria-label]="'WIDGET.DOMAINS_LIST.DELETE' | translate">
                                <mat-icon class="delete-btn">delete_outline</mat-icon>
                            </button>
                        </div>
                    </td>
                </div>
            </ng-container>
            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;" class="language-row text-m"></tr>
        </table>
    </div>
</div>